;InnoSetupVersion=4.1.4

[Setup]
AppName=PowerZip
AppVerName=PowerZip 7.01
AppId=PowerZip
AppVersion=7.00
AppPublisher=Trident Software Pty Ltd
AppPublisherURL=http://www.tridentsw.com
AppSupportURL=http://www.powerzip.biz/support.aspx
AppMutex=PowerZipIsRunning
DefaultDirName={pf}\PowerZip 7.0
DefaultGroupName=PowerZip 7.0
UninstallDisplayIcon={app}\PowerZip.exe
OutputBaseFilename=PowerZip70
Compression=bzip2
PrivilegesRequired=none
DisableProgramGroupPage=yes
ChangesAssociations=yes
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\PowerZip.exe"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\PZMExec.exe"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\dtutil.dll"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\PZShlExt.dll"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\powerzip.sfx"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\PZRes.dll"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\ZipArchive.dll"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\BCGCB582.dll"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\xceedsco.dll"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace regserver comparetimestamp uninsrestartdelete 
Source: "{app}\fileview.ocx"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace regserver comparetimestamp uninsrestartdelete 
Source: "{app}\fldrview.ocx"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace regserver comparetimestamp uninsrestartdelete 
Source: "{app}\ShComboBox.ocx"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace regserver comparetimestamp uninsrestartdelete 
Source: "{app}\UNACEv2.DLL"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\unrar.dll"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\ZLIB.DLL"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\BCG.HLP"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\powerzip.chm"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\powerzip.hhc"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\powerzip.hhk"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 
Source: "{app}\nullzip.pzp"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: restartreplace comparetimestamp uninsrestartdelete 

[Registry]
Root: HKCR; Subkey: "PowerZip Archive"; ValueType: String; ValueData: "PowerZip Archive"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: "PowerZip Archive\Shell\Open\Command"; ValueType: String; ValueData: """{app}\PowerZip.exe"" ""%1"""; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "PowerZip Archive\DefaultIcon"; ValueType: String; ValueData: "{app}\PowerZip.exe,0"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletevalue 
Root: HKCR; Subkey: ".ZIP"; ValueType: String; ValueData: "PowerZip Archive"; Components: zip; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".ARJ"; ValueType: String; ValueData: "PowerZip Archive"; Components: arj; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".ACE"; ValueType: String; ValueData: "PowerZip Archive"; Components: ace; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".RAR"; ValueType: String; ValueData: "PowerZip Archive"; Components: rar; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".CAB"; ValueType: String; ValueData: "PowerZip Archive"; Components: cab; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".JAR"; ValueType: String; ValueData: "PowerZip Archive"; Components: jar; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".LZH"; ValueType: String; ValueData: "PowerZip Archive"; Components: lzh; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".HA"; ValueType: String; ValueData: "PowerZip Archive"; Components: ha; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".TAR"; ValueType: String; ValueData: "PowerZip Archive"; Components: tar; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".GZ"; ValueType: String; ValueData: "PowerZip Archive"; Components: gz; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".Z"; ValueType: String; ValueData: "PowerZip Archive"; Components: z; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".Bz2"; ValueType: String; ValueData: "PowerZip Archive"; Components: bz2; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".TGZ"; ValueType: String; ValueData: "PowerZip Archive"; Components: gz; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".PZM"; ValueType: String; ValueData: "PowerZip Macro File"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: "PowerZip Macro File"; ValueType: String; ValueData: "PowerZip Macro File"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: "PowerZip Macro File\Shell\Open\Command"; ValueType: String; ValueData: """{app}\PZMExec"" ""%1"""; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "PowerZip Macro File\DefaultIcon"; ValueType: String; ValueData: "{app}\PZMExec.exe,0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCR; Subkey: "CLSID\{{FF463FE9-8DA1-11D1-B516-E5028A4DAE22}\InProcServer32"; ValueType: String; ValueData: "{app}\PZShlExt.dll"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{FF463FE9-8DA1-11D1-B516-E5028A4DAE22}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: "*\ShellEx\ContextMenuHandlers\PowerZip"; ValueType: String; ValueData: "{{FF463FE9-8DA1-11D1-B516-E5028A4DAE22}"; Tasks: ShlExt; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\ShellEx\ContextMenuHandlers\PowerZip"; ValueType: String; ValueData: "{{FF463FE9-8DA1-11D1-B516-E5028A4DAE22}"; Tasks: ShlExt; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Trident Software\PowerZip"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{FE84CD16-3985-4A0B-B34C-8398D8AA8612}\InProcServer32"; ValueType: String; ValueData: "{app}\PZShlExt.dll"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{FE84CD16-3985-4A0B-B34C-8398D8AA8612}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\ShellEx\DragDropHandlers\PowerZip"; ValueType: String; ValueData: "{{FE84CD16-3985-4A0B-B34C-8398D8AA8612}"; Tasks: ShlExt; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Drive\ShellEx\DragDropHandlers\PowerZip"; ValueType: String; ValueData: "{{FE84CD16-3985-4A0B-B34C-8398D8AA8612}"; Tasks: ShlExt; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Trident Software\PowerZip"; ValueName: "Build"; ValueType: Dword; ValueData: "$F07"; MinVersion: 4.0.950,4.0.1381; 
Root: HKLM; Subkey: "Software\Trident Software\PowerZip"; ValueName: "Name"; ValueType: String; ValueData: "PowerZip"; MinVersion: 4.0.950,4.0.1381; 
Root: HKLM; Subkey: "Software\Trident Software\PowerZip"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; MinVersion: 4.0.950,4.0.1381; 
Root: HKLM; Subkey: "Software\Trident Software\PowerZip"; ValueName: "Version"; ValueType: String; ValueData: "7.01"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Arj"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Arj"; ValueType: Dword; ValueData: "$1"; Components: arj; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Zip"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Zip"; ValueType: Dword; ValueData: "$1"; Components: zip; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Tar"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Tar"; ValueType: Dword; ValueData: "$1"; Components: tar; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Ace"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Ace"; ValueType: Dword; ValueData: "$1"; Components: ace; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Cab"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Cab"; ValueType: Dword; ValueData: "$1"; Components: cab; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Rar"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Rar"; ValueType: Dword; ValueData: "$1"; Components: rar; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Jar"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Jar"; ValueType: Dword; ValueData: "$1"; Components: jar; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Tar"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Tar"; ValueType: Dword; ValueData: "$1"; Components: tar; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Lzh"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Lzh"; ValueType: Dword; ValueData: "$1"; Components: lzh; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Gz"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Gz"; ValueType: Dword; ValueData: "$1"; Components: gz; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Bz2"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Bz2"; ValueType: Dword; ValueData: "$1"; Components: bz2; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Z"; ValueType: Dword; ValueData: "$0"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Associations"; ValueName: "Z"; ValueType: Dword; ValueData: "$1"; Components: z; MinVersion: 4.0.950,4.0.1381; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\RunOnce"; ValueName: "PowerZipSetup"; ValueType: String; ValueData: "{srcexe}"; Check: "IsRunAgain"; MinVersion: 4.0.950,4.0.1381; 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\BCG"; MinVersion: 4.0.950,4.0.1381; Flags: deletekey 
Root: HKCU; Subkey: "Software\Trident Software\PowerZip\Global"; ValueName: "Type"; ValueType: String; ValueData: "Normal2"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 

[Run]
Filename: "{app}\PowerZip.exe"; Description: "Run PowerZip now"; MinVersion: 4.0.950,4.0.1381; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\PowerZip"; Filename: "{app}\PowerZip.exe"; WorkingDir: "{userdocs}"; IconFilename: "{app}\PowerZip.exe"; Comment: "Launch PowerZip"; MinVersion: 4.0.950,4.0.1381; 
Name: "{group}\PowerZip User Guide"; Filename: "{app}\powerzip.chm"; IconFilename: "{win}\hh.exe"; Comment: "View PowerZip User Guide"; MinVersion: 4.0.950,4.0.1381; 
Name: "{group}\Uninstall PowerZip"; Filename: "{uninstallexe}"; WorkingDir: "{app}"; IconFilename: "{uninstallexe}"; Comment: "Uninstall PowerZip"; MinVersion: 4.0.950,4.0.1381; 
Name: "{userdesktop}\PowerZip"; Filename: "{app}\PowerZip.exe"; WorkingDir: "{userdocs}"; IconFilename: "{app}\PowerZip.exe"; Comment: "Launch PowerZip"; Tasks: ShCutDesktop; MinVersion: 4.0.950,4.0.1381; 
Name: "{userstartmenu}\PowerZip"; Filename: "{app}\PowerZip.exe"; WorkingDir: "{userdocs}"; IconFilename: "{app}\PowerZip.exe"; Comment: "Launch PowerZip"; Tasks: ShCutStart; MinVersion: 4.0.950,4.0.1381; 

[Tasks]
Name: "ShCutDesktop"; Description: "Create a shortcut to PowerZip on the desktop"; GroupDescription: "Shortcuts"; MinVersion: 4.0.950,4.0.1381; 
Name: "ShCutStart"; Description: "Add PowerZip to Start Menu"; GroupDescription: "Shortcuts"; MinVersion: 4.0.950,4.0.1381; 
Name: "ShlExt"; Description: "Add PowerZip items to Windows Explorer right-click menu"; GroupDescription: "Other"; MinVersion: 4.0.950,4.0.1381; 

[Components]
Name: "zip"; Description: "Zip Files"; Types: "standard custom"; MinVersion: 4.0.950,4.0.1381; 
Name: "arj"; Description: "Arj Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 
Name: "rar"; Description: "Rar Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 
Name: "ace"; Description: "Ace Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 
Name: "cab"; Description: "Cab Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 
Name: "jar"; Description: "Jar Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 
Name: "lzh"; Description: "Lzh Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 
Name: "ha"; Description: "Ha Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 
Name: "tar"; Description: "Tar Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 
Name: "gz"; Description: "Gz Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 
Name: "bz2"; Description: "Bz2 Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 
Name: "z"; Description: "Z Files"; Types: "custom standard"; MinVersion: 4.0.950,4.0.1381; 

[UninstallDelete]
Type: files; Name: "{app}\PowerZip.rd"; 

[Types]
Name: "standard"; Description: "Standard Associations"; MinVersion: 4.0.950,4.0.1381; 
Name: "custom"; Description: "Custom Associations"; MinVersion: 4.0.950,4.0.1381; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
